//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "mainfrm.h"
#include "SDL_stringl.hpp"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "SDL_Colsel"
#pragma link "SDL_NumLab"
#pragma link "SDL_sevenseg"
#pragma resource "*.dfm"
int cnt;

TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SBarNumDigChange(TObject *Sender)
{
My7Seg->NumDigits = SBarNumDig->Position;
NLabNumDig->Value = SBarNumDig->Position;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SBarMarginChange(TObject *Sender)
{
My7Seg->Margin = SBarMargin->Position;
NLabMargin->Value = SBarMargin->Position;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SBarInterdigChange(TObject *Sender)
{
My7Seg->InterDigDist = SBarInterdig->Position;
NLabInterDigDist->Value = SBarInterdig->Position;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CSelTextChange(TObject *Sender)
{
My7Seg->ColorText = CSelText->SelColor;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CSelBakgChange(TObject *Sender)
{
My7Seg->ColorBackGnd = CSelBakg->SelColor;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::EdCaptionChange(TObject *Sender)
{
My7Seg->Caption = EdCaption->Text;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::RGDisplayModeClick(TObject *Sender)
{
switch (RGDisplayMode->ItemIndex)
  {
  case 0 :  // static text
           Timer1->Enabled = false;
           EdCaption->Enabled = true;
           My7Seg->Caption = EdCaption->Text;
           break;
  case 1 :  // digital clock
           Timer1->Enabled = true;
           EdCaption->Enabled = false;
           break;
  case 2 :  // stop watch
           Timer1->Enabled = true;
           EdCaption->Enabled = false;
           break;
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Splitter1CanResize(TObject *Sender, int &NewSize,
      bool &Accept)
{
if (NewSize < 50)
  {
  Accept = false;
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Timer1Timer(TObject *Sender)
{
cnt++;
switch (RGDisplayMode->ItemIndex)
  {
  case 0 : Timer1->Enabled = false;
           break;
  case 1 : if (Sdl_sevenseg::IsLightEd)
             {
             My7Seg->Caption = FormatDateTime ("HH.MM.SS", Now());
             }
           else
             {
             My7Seg->Caption = FormatDateTime ("HH:MM:SS", Now());
             };
           break;
  case 2 : My7Seg->Caption = strff(cnt*0.010,6,2);
           break;
  }
}
//---------------------------------------------------------------------------
